import os
from datetime import datetime
from pathlib import Path

from .templates import default


def today() -> Path:
    today = datetime.today().strftime("%Y-%m-%d")
    today_path = Path().home() / ".plan" / f"{today}.md"
    return today_path


def open(plan: Path):
    import subprocess

    plan.parent.mkdir(parents=True, exist_ok=True)
    if not plan.exists():
        plan.touch()
        with plan.open("w") as f:
            f.write(default())
    editor = os.getenv("EDITOR", "nvim")
    os.chdir(Path().home() / ".plan")
    subprocess.run([editor, str(plan)])
